# Retrieve an invoice write-off async job

Retrieves information about a specific asynchronous invoice write-off job. 

Note: This operation is only available if you have Invoice Settlement enabled. This feature includes Unapplied Payments, Credit and Debit Memo, and Invoice Item Settlement. If you want to enable Invoice Settlement,
see Invoice Settlement Enablement and Checklist Guide for more information.

Endpoint: GET /v1/invoices/write-off-async-jobs/{asyncJobId}
Version: 2026-08-14
Security: bearerAuth

## Header parameters:

  - `Accept-Encoding` (string)
    Include the Accept-Encoding: gzip header to compress responses as a gzipped file. It can significantly reduce the bandwidth required for a response. 

If specified, Zuora automatically compresses responses that contain over 1000 bytes of data, and the response contains a Content-Encoding header with the compression algorithm so that your client can decompress it.

  - `Content-Encoding` (string)
    Include the Content-Encoding: gzip header to compress a request. With this header specified, you should upload a gzipped file for the request payload instead of sending the JSON payload.

  - `Authorization` (string)
    The value is in the Bearer {token} format where {token} is a valid OAuth token generated by calling Create an OAuth token.

  - `Zuora-Track-Id` (string)
    A custom identifier for tracing the API call. If you set a value for this header, Zuora returns the same value in the response headers. This header enables you to associate your system process identifiers with Zuora API calls, to assist with troubleshooting in the event of an issue.

The value of this field must use the US-ASCII character set and must not include any of the following characters: colon (:), semicolon (;), double quote ("), and quote (').

  - `Zuora-Entity-Ids` (string)
    An entity ID. If you have Zuora Multi-entity enabled and the OAuth token is valid for more than one entity, you must use this header to specify which entity to perform the operation in. If the OAuth token is only valid for a single entity, or you do not have Zuora Multi-entity enabled, you should not set this header.

  - `Zuora-Version` (string)
    The minor API version.

For a list of available minor versions, see API upgrades.

  - `Zuora-Org-Ids` (string)
    Comma separated IDs. If you have Zuora Multi-Org enabled, 
you can use this header to specify which orgs to perform the operation in. If you do not have Zuora Multi-Org enabled, you should not set this header.

The IDs must be a sub-set of the user's accessible orgs. If you specify an org that the user does not have access to, the operation fails. This header is important in Multi-Org (MO) setups because it defines the organization context under which the API should operate—mainly used for read access or data visibility filtering. If the header is not set, the operation is performed in scope of the user's accessible orgs.

## Path parameters:

  - `asyncJobId` (string, required)
    The unique ID of the invoice write-off async job. For example, 8a92ade496140e830196141f6cfa0001.

## Response 200 fields (application/json):

  - `processId` (string)
    The ID of the process that handles the operation.

  - `reasons` (array)
    The container of the error code and message. This field is available only if the success field is false.

  - `reasons.code` (string)
    The error code of response.

  - `reasons.message` (string)
    The detail information of the error response

  - `requestId` (string)
    Unique identifier of the request.

  - `success` (boolean)
    Indicates whether the call succeeded.

  - `id` (string)
    The ID of the operation job.

  - `status` (string)
    Job status of the Invoice Settlement async job.
    Enum: "Pending", "Processing", "Processed", "Error"

  - `operationType` (string)
    Operation type of the Invoice Settlement async job.
    Enum: "AsyncCreditMemoApply", "AsyncCreditMemoUnapply"

  - `referenceId` (string)
    The ID of the business object which is being operated.

  - `referenceType` (string)
    Reference type of the Invoice Settlement async job.
    Enum: "CreditMemo"

  - `error` (string,null)
    The error message if the operation fails.

  - `creditMemo` (object)
    Container for the credit memo that is automatically generated when writing off
invoices.
    Example: {"id":"7e9fd1381a074fed8a27a3a34ad438ab"}

  - `creditMemo.id` (string)
    The ID of the credit memo that is created when the invoice is written off.
    Example: "7e9fd1381a074fed8a27a3a34ad438ab"

## Response 500 fields (application/json):

  - `reasons` (array)
    Example: [{"code":"ObjectNotFound","message":"Notification definition with id 6e569e1e05f040eda51a927b140c0ac1 does not exist"}]

  - `reasons.code` (string)
    The error code of response.

  - `reasons.message` (string)
    The detail information of the error response

## Response 4XX fields (application/json):

  - `code` (integer)
    The error code.

  - `message` (string)
    The error message.


